WordPress SCORM Cloud For WordPress beépülő modul “active” SQL befecskendezés sérülékenység

CH azonosító

CH-6081

Angol cím

WordPress SCORM Cloud For WordPress Plugin "active" SQL Injection Vulnerability

Felfedezés dátuma

2011.12.12.

Súlyosság

Közepes

Érintett rendszerek

SCORM Cloud For WordPress
WordPress

Érintett verziók

WordPress SCORM Cloud For WordPress 1.x

Összefoglaló

A WordPress SCORM Cloud For WordPress beépülő moduljának egy sérülékenységét jelentették, amelyet kihasználva támadók SQL befecskendezés támadást indíthatnak.

Leírás

Az “active” POST paraméterrel az ajax.php-nak átadott bemenet (amikor az “action” értéke”setactive”) nincs megfelelően ellenőrizve, mielőtt SQL lekérdezésekben használnák. Ez kihasználható az SQL lekérdezések módosítására tetszőleges kód befecskendezésével.

A sebezhetőséget az 1.0.6.6. verzióban igazolták. Korábbi kiadások is érintve lehetnek.

Megoldás

Frissítsen a legújabb verzióra